{{- if and (eq .Values.wdm.enabled false) (eq .Values.wdm.enabled false) }}
{{- fail "At least GOI needs to be enabled!" }}
{{ end }}

{{- if and .Values.wdm.enabled -}}
apiVersion: {{ template "deployment.apiVersion" . }}
kind: Deployment
metadata:
{{- if .Values.wdm.deploymentAnnotations }}
  annotations:
    {{ toYaml .Values.wdm.deploymentAnnotations | nindent 4 }}
{{- end }}
  labels:
    {{- include "wiedoetermee.wdm.labels" . | nindent 4 }}
  name: {{ template "wiedoetermee.wdm.fullname" . }}
{{ include "wiedoetermee.namespace" . | indent 2 }}
spec:
  selector:
    matchLabels:
      {{- include "wiedoetermee.wdm.matchLabels" . | nindent 6 }}
  replicas: {{ .Values.wdm.replicaCount }}
  {{- if .Values.wdm.strategy }}
  strategy:
{{ toYaml .Values.wdm.strategy | trim | indent 4 }}
    {{ if eq .Values.wdm.strategy.type "Recreate" }}rollingUpdate: null{{ end }}
{{- end }}
  template:
    metadata:
    {{- if .Values.wdm.podAnnotations }}
      annotations:
        {{ toYaml .Values.alertmanager.podAnnotations | nindent 8 }}
    {{- end }}
      labels:
        {{- include "wiedoetermee.wdm.labels" . | nindent 8 }}
        {{- if .Values.wdm.podLabels}}
        {{ toYaml .Values.wdm.podLabels | nindent 8 }}
        {{- end}}
    spec:
      containers:
        - name: {{ template "wiedoetermee.name" . }}-{{ .Values.wdm.name }}
          image: "{{ .Values.wdm.image.repository }}:{{ .Values.wdm.image.tag }}"
          imagePullPolicy: "{{ .Values.wdm.image.pullPolicy }}"
          readinessProbe:
            failureThreshold: 3
            httpGet:
              path: /
              port: 8080
              scheme: HTTP
            initialDelaySeconds: 10
            periodSeconds: 10
            successThreshold: 1
            timeoutSeconds: 1
          livenessProbe:
            failureThreshold: 3
            httpGet:
              path: /
              port: 8080
              scheme: HTTP
            initialDelaySeconds: 10
            periodSeconds: 10
            successThreshold: 1
            timeoutSeconds: 1
          resources:
{{ toYaml .Values.wdm.resources | indent 12 }}
{{ end }}
